MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001439Orfeo Toolbox (OTB)Generalpublic2017-07-07 12:322017-09-19 11:04
Reporterpieter.roggemans 
Assigned Tombertolino 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindowsOS VersionServer 2008R2
Summary0001439: GUI of ComputeOGRLayersFeaturesStatistics and OGRLayerClassifier crash on certain shape files
DescriptionIf a column of a shape file contains eg. "_" the GUI crashes.

When the tools are used from the command line, a decent error is shown:
-------
ERROR: Troubles in parameter setting, please check your line argument...
itk::ERROR: Invalid key 'feat.gwscod_v'. Must be in lowercase, containing alphanumerical characters or "."
-------

Best solution would be that "_" is supported in the column names, as they are supported in general in shape files and are also supported in most OTB tools.

The GUI also shouldn't crash... just show the error.
Steps To Reproduce1) Start the GUI
2) Start ComputeOGRLayersFeaturesStatistics or OGRLayerClassifier
3) Select a shape file with eg. "_" in one of the column names. An example shape file can be found in attachment.
4) Crash
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004280)
mbertolino (developer)
2017-09-12 10:52

Fix for OGRLayerClassifier:
https://git.orfeo-toolbox.org/otb.git/commit/68978a6d42d0e50869bba0c01b9eaeb69261c10b [^]

Fix for ComputeOGRLayersFeaturesStatistics:
https://git.orfeo-toolbox.org/otb.git/commit/5a8ea78188bfa38365f1d2ce222b848f11548a16 [^]
(0004289)
mbertolino (developer)
2017-09-15 12:19

the latest fixes fixed the crash in GUI mode.

But, the value visible to user, GUI mode, is the alphanumeric 'key' modified. As this is not coherent with the CLI mode, we will display the 'value' instead of the 'key'.

Example: Key = value0 , Value=value_0.

The correction will not modify the behavior and the existing usage with CommandLine, GUI mode and the inxml/outxml parameters.

Fix in progress ...
(0004306)
mbertolino (developer)
2017-09-19 11:03

Fix https://git.orfeo-toolbox.org/otb.git/commitdiff/4a78aabc42fb72bd779fe40b1969d1cd7e765bc1 [^]

- Issue History
Date Modified Username Field Change
2017-07-07 12:32 pieter.roggemans New Issue
2017-09-05 09:49 mbertolino Assigned To => mbertolino
2017-09-05 09:49 mbertolino Status new => assigned
2017-09-12 10:52 mbertolino Note Added: 0004280
2017-09-12 10:52 mbertolino Status assigned => resolved
2017-09-12 10:52 mbertolino Resolution open => fixed
2017-09-15 12:19 mbertolino Note Added: 0004289
2017-09-15 12:19 mbertolino Status resolved => feedback
2017-09-15 12:19 mbertolino Resolution fixed => reopened
2017-09-19 11:03 mbertolino Note Added: 0004306
2017-09-19 11:04 mbertolino Status feedback => resolved
2017-09-19 11:04 mbertolino Resolution reopened => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker